Package oasis.names.tc.saml._1_0.assertion

# Class Evidence

java.lang.Object
oasis.names.tc.saml._1_0.assertion.Evidence

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Evidence extends Object implements Serializable

Java class for EvidenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EvidenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AssertionIDReference"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Assertion"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Evidence()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Serializable>`
  `getAssertionIDReferencesAndAssertions()`
  Gets the value of the assertionIDReferencesAndAssertions property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Evidence

    public Evidence()

- ## Method Details

  - ### getAssertionIDReferencesAndAssertions

    public List<Serializable> getAssertionIDReferencesAndAssertions()
    Gets the value of the assertionIDReferencesAndAssertions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionIDReferencesAndAssertions property.

    For example, to add a new item, do as follows:

         getAssertionIDReferencesAndAssertions().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``String``>` `Assertion`

    Returns:
      The value of the assertionIDReferencesAndAssertions property.